# NOTE: ldap and sasl seems stub in this (free only?) version
#
# Conditional build:
%bcond_without	upnp	# UPnP support (via miniupnp)
#
Summary:	A free Socks v4/v5 client implementation
Summary(pl.UTF-8):	Darmowa implementacja klienta Socks v4/5
Name:		dante
Version:	1.4.3
Release:	3
License:	BSD-like
Group:		Networking/Daemons
#Source0Download: http://www.inet.no/dante/download.html
Source0:	http://www.inet.no/dante/files/%{name}-%{version}.tar.gz
# Source0-md5:	28ae15fb9e4f5ce7fe17307d01edc075
Source1:	sockd.init
Patch0:		%{name}-am.patch
Patch1:		%{name}-build.patch
Patch2:		%{name}-cpp.patch
Patch3:		%{name}-miniupnpc.patch
URL:		http://www.inet.no/dante/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake
BuildRequires:	cyrus-sasl-devel
BuildRequires:	heimdal-devel
BuildRequires:	libtool >= 2:2
BuildRequires:	libwrap-devel
%{?with_upnp:BuildRequires:	miniupnpc-devel >= 1.6}
BuildRequires:	openldap-devel
BuildRequires:	pam-devel
%{?with_upnp:Requires:	miniupnpc >= 1.6}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dante is a free implementation of the proxy protocols socks version 4,
socks version 5 (rfc1928) and msproxy. It can be used as a firewall
between networks. It is being developed by Inferno Nettverk A/S, a
Norwegian consulting company. Commercial support is available.

This package contains the dynamic libraries required to "socksify"
existing applications to become socks clients.

%description -l pl.UTF-8
Dante jest darmową implementacją protokołów proxy: socks w wersji 4,
socks w wersji 5 (rfc1928) oraz msproxy. Może być używany jako zapora
pomiędzy sieciami. Implementacja jest rozwijana przez Inferno Nettverk
A/S - Norweską firmę konsultingową. Komercyjne wsparcie jest dostępne.

Ten pakiet zawiera dynamiczne biblioteki wymagane do "usocksowiania"
istniejących aplikacji tak by działały one jako klienci socks.

%package server
Summary:	A free Socks v4/v5 server implementation
Summary(pl.UTF-8):	Darmowa implementacja serwera Socks v4/5
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Requires:	rc-scripts

%description server
This package contains the socks proxy daemon and its documentation.
The sockd is the server part of the Dante socks proxy package and
allows socks clients to connect through it to the network.

%description server -l pl.UTF-8
Ten pakiet zawiera serwer proxy socks oraz jego dokumentację. Serwer
sockd jest częścią pakietu proxy Dante. Za pośrednictwem serwera
klienci mogą łączyć się z serwerami w sieci.

%package devel
Summary:	Development files for socks library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki socks
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}
Requires:	heimdal-devel
%{?with_upnp:Requires:	miniupnpc-devel >= 1.6}
Requires:	pam-devel

%description devel
Development files required to compile programs that use socks.

%description devel -l pl.UTF-8
Pliki programistyczne wymagane do rozwoju programów korzystających z
socks.

%package static
Summary:	Static socks library
Summary(pl.UTF-8):	Statyczna biblioteka socks
Group:		Networking/Daemons
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static socks library.

%description static -l pl.UTF-8
Statyczna biblioteka socks.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
# configure expects ldconfig in $PATH
PATH="$PATH:/sbin"
%configure \
	--disable-silent-rules \
	--without-glibc-secure \
	%{!?with_upnp:--without-upnp}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/etc/rc.d/init.d}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install example/sock{s,d}.conf $RPM_BUILD_ROOT%{_sysconfdir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/sockd

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post server
/sbin/chkconfig --add sockd
if [ -f /var/lock/subsys/sockd ]; then
	/etc/rc.d/init.d/sockd restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/sockd start\" to start dante sockd daemon."
fi

%postun server
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/sockd ]; then
		/etc/rc.d/init.d/sockd stop 1>&2
	fi
	/sbin/chkconfig --del sockd
fi

%files
%defattr(644,root,root,755)
%doc BUGS CREDITS LICENSE NEWS README SUPPORT UPGRADE
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/socks.conf
%attr(755,root,root) %{_libdir}/libsocks.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsocks.so.0
%attr(755,root,root) %{_libdir}/libdsocks.so
%attr(755,root,root) %{_bindir}/socksify
%{_mandir}/man5/socks.conf.5*
%{_mandir}/man1/socksify.1*

%files server
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sockd.conf
%attr(754,root,root) /etc/rc.d/init.d/sockd
%attr(755,root,root) %{_sbindir}/sockd
%{_mandir}/man8/sockd.8*
%{_mandir}/man5/sockd.conf.5*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsocks.so
%{_libdir}/libsocks.la
%{_libdir}/libdsocks.la
%{_includedir}/socks.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libsocks.a
%changelog
* Sat Feb 01 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dante.git;a=log;h=master

* Sat Feb 01 2025 Jan Palus <atler@pld-linux.org> d945fa4
- sqlite3 3.48.0 rebuild

* Sun Sep 22 2024 Jakub Bogusz <qboosh@pld-linux.org> eef0c6d
- added patch for miniupnpc API 18, release 2

* Mon May 06 2024 Jakub Bogusz <qboosh@pld-linux.org> e410600
- updated to 1.4.3

* Sat Dec 23 2023 Jan Rękorajski <baggins@pld-linux.org> cf23f51
- Release 6 (by relup.sh)

* Sun Feb 05 2023 Jakub Bogusz <qboosh@pld-linux.org> 16c894a
- release 5

* Sun Feb 05 2023 Jakub Bogusz <qboosh@pld-linux.org> 3c56bce
- try with enforced /sbin in $PATH

* Thu Feb 02 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 110833f
- rel 4; rediff patches

* Wed Feb 01 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 392dcae
- Release 3 (by relup.sh)

* Mon Apr 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 887e73a
- release 2 (rebuild with miniupnpc 2.1)

* Sun Apr 16 2017 Jakub Bogusz <qboosh@pld-linux.org> 23a2dfa
- updated to 1.4.2
- updated build patch
- removed obsolete format patch
- added cpp patch (fix compatibility with recent gcc preprocessors)

* Sat Oct 25 2014 Jakub Bogusz <qboosh@pld-linux.org> 800c6dc
- added format patch (fixes build with -Werror=format-security)
- removed outdated miniupnp patch

* Fri Oct 24 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 199d5ce
- up to 1.4.1

* Tue Feb 05 2013 Jakub Bogusz <qboosh@pld-linux.org> f529e0a
- added miniupnp patch (fixes build with miniupnpc 1.6+) and upnp bcond

* Tue Feb 05 2013 Jakub Bogusz <qboosh@pld-linux.org> 58414cf
- added link patch (no unnecessary linking with -lnsl)
- BR: libtool heimdal-devel pam-devel
  and (no direct linking, but features enabled conditionally for): cyrus-sasl-devel openldap-devel
- added try-restart action to init script

* Mon Feb 04 2013 Jakub Bogusz <qboosh@pld-linux.org> a9a325a
- added am patch (fixes build with automake 1.13)
- disable silent-rules

* Sat Feb 02 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 750f259
- rel 2; fix files

* Sat Dec 03 2011 Adam Osuchowski <adwol@pld-linux.org> 6a108fd
- up to 1.3.2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 7132b5d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f9a5fb0
- converted to UTF-8

* Mon Jan 09 2006 aredridel <aredridel@pld-linux.org> 7841623
- up to 1.1.19-pre1

